% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/perform_api_request.R
\name{perform_api_request}
\alias{perform_api_request}
\title{Perform an API request to interact with language models}
\usage{
perform_api_request(
  .request,
  .api,
  .stream = FALSE,
  .timeout = 60,
  .max_tries = 3,
  .parse_response_fn = NULL,
  .dry_run = FALSE
)
}
\arguments{
\item{.request}{The httr2 request object.}

\item{.api}{The API identifier (e.g., "claude", "openai").}

\item{.stream}{Stream the response if TRUE.}

\item{.timeout}{Request timeout in seconds.}

\item{.max_tries}{Maximum retry attempts for requests (default: 3).}

\item{.parse_response_fn}{A function to parse the assistant's reply.}

\item{.dry_run}{If TRUE, perform a dry run and return the request object.}
}
\value{
A list containing the assistant's reply and response headers.
}
\description{
Perform an API request to interact with language models
}
